<form method ="POST" enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_setting_edit_carousel' id=carousel.id %}"
    {% else %}
        action="{% url 'profile:admin_setting_create_carousel' jenis %}"
    {% endif %}>

   
    {% csrf_token %}
    <input type="hidden" id="if_edit" alt="{{edit}}">
    <input type="hidden" id="if_jenis" name="if_jenis" alt="{{jenis}}" value="{{jenis}}">

    <div class="form-group">
        <label>Jenis File: </label>
        <div class="input-group">
            <div class="input-group-prepend">
                <div class="input-group-text">
                    <div class="form-check form-check-inline" id="input-group-slide">
                        <input type="radio" name="jenis" class="form-check-input" id="form-radio-slide" value="slide" 
                            {% if form.foto.value != '' and edit %}checked{% endif %} required>
                        <label class="form-check-label" for="form-radio-slide">File Foto</label>
                    </div>
                    <div class="form-check form-check-inline" id="input-group-video">
                        <input type="radio" name="jenis" class="form-check-input" id="form-radio-video" value="video" 
                            {% if form.video.value != '' and edit %}checked{% endif %} required>
                        <label class="form-check-label" for="form-radio-video">File Video</label>
                    </div>
                </div>
            </div>
            <div class="custom-file" id="input-file-slide">
                <input type="file" class="custom-file-input {% if form_foto.foto.errors %}is-invalid{% endif %}"
                    aria-describedby="inputGroupFileAddon04"
                    placeholder="Masukkan foto..."
                    name="{{ form_foto.foto.name }}"
                    id="{{ form_foto.foto.id_for_label }}" 
                    maxlength="{{ form_foto.foto.field.max_length }}" accept="image/*"
                    {% if form_foto.foto.field.required and not edit and jenis != 'video' %}required{% endif %}>
                <label class="custom-file-label" for="{{ form_foto.foto.id_for_label }}">Pilih File Foto</label>
                {{form_foto.x}}
                {{form_foto.y}}
                {{form_foto.width}}
                {{form_foto.height}}
            </div>
            <div class="custom-file" id="input-file-video">
                <input type="file" class="custom-file-input" accept="video/*"
                    placeholder="Masukkan video..." name="video" id="video"
                    {% if not edit and jenis != 'slide' %}required{% endif %}>
                <label class="custom-file-label" for="video">Pilih File Video</label>
            </div>
            <input type="hidden" id="if_foto" name="if_foto" value="True">
        </div>
    </div>    

    <div id="form-input-foto">
        <div class="form-group">
            <label for="judul">Judul</label>
            <input type="text" placeholder="Masukkan judul carousel..."
                class="form-control"
                name="judul"
                id="judul" 
                value="{{ carousel.judul }}"
                {% if not edit and jenis != 'video' %}required{% endif %}>
            <span id="judul-counter"></span>
        </div>
        <div class="form-group">
            <label for="subjudul">Subjudul</label>
            <input type="text" placeholder="Masukkan subjudul carousel..."
                class="form-control"
                name="subjudul"
                id="subjudul" 
                value="{{ carousel.subjudul }}"
                {% if not edit and jenis != 'video' %}required{% endif %}>
            <span id="subjudul-counter"></span>
        </div>
    </div>

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>


